View Issue Details

IDProjectCategoryView StatusLast Update
0036894Lazarus CCRPackagespublic2020-04-24 22:50
ReporterMichal Gawrycki Assigned Towp  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Summary0036894: jvcl - TJvDBLookupCombo - side effect of dropping shadows
DescriptionI noticed a shadow side effect (0036421): after the drop-down window is displayed, each newly created window has an additional shadow. I suggest to disable this feature for now. I'll try to find a working solution.
TagsNo tags attached.
Widgetset
Attached Files

Relationships

related to 0036421 closedwp jvcl - TJvDBLookupCombo - show shadow under dropdown window on Windows platform 

Activities

Michal Gawrycki

2020-04-09 22:07

reporter  

jvdblookup_shadow_rew.patch (1,267 bytes)   
Index: run/JvDB/jvdblookup.pas
===================================================================
--- run/JvDB/jvdblookup.pas	(revision 7366)
+++ run/JvDB/jvdblookup.pas	(working copy)
@@ -39,7 +39,7 @@
 interface
 
 uses
-  {$IFDEF WINDOWS}Windows,{$ENDIF}
+  //{$IFDEF WINDOWS}Windows,{$ENDIF}
   Variants, Classes, Graphics, Controls, Forms, DB, DBCtrls,
   LMessages, LCLType, LCLIntf, LCLProc, EditBtn, Themes,
   JvThemes, JvDBUtils;
@@ -387,7 +387,7 @@
     procedure DoShow; override;
     procedure DoClose(var CloseAction: TCloseAction); override;
     {$IFDEF WINDOWS}
-    procedure CreateWnd; override;
+    //procedure CreateWnd; override;
     procedure WMActivate(var Message: TLMActivate); message LM_ACTIVATE;
     {$ENDIF}
   public
@@ -2517,12 +2517,12 @@
 end;
 
 {$IFDEF WINDOWS}
-procedure TJvPopupDataListForm.CreateWnd;
-begin
-  inherited CreateWnd;
-  SetClassLong(WindowHandle, GCL_STYLE,
-    GetClassLong(WindowHandle, GCL_STYLE) or CS_DROPSHADOW);
-end;
+//procedure TJvPopupDataListForm.CreateWnd;
+//begin
+//  inherited CreateWnd;
+//  SetClassLong(WindowHandle, GCL_STYLE,
+//    GetClassLong(WindowHandle, GCL_STYLE) or CS_DROPSHADOW);
+//end;
 
 procedure TJvPopupDataListForm.WMActivate(var Message: TLMActivate);
 begin
jvdblookup_shadow_rew.patch (1,267 bytes)   
dblshadow.PNG (2,316 bytes)   
dblshadow.PNG (2,316 bytes)   

wp

2020-04-24 22:50

developer   ~0122392

Applied the patch to undo r7206. I'll also keep the related issue 0036421 closed. Re-open it once you have a new solution. Thank you.

Issue History

Date Modified Username Field Change
2020-04-09 22:07 Michal Gawrycki New Issue
2020-04-09 22:07 Michal Gawrycki File Added: jvdblookup_shadow_rew.patch
2020-04-09 22:07 Michal Gawrycki File Added: dblshadow.PNG
2020-04-10 01:11 wp Assigned To => wp
2020-04-10 01:11 wp Status new => assigned
2020-04-10 20:39 wp Relationship added related to 0036421
2020-04-24 22:50 wp Status assigned => resolved
2020-04-24 22:50 wp Resolution open => fixed
2020-04-24 22:50 wp Note Added: 0122392